summaryrefslogtreecommitdiff
path: root/meta/recipes-connectivity/connman/connman-0.63/connman
diff options
context:
space:
mode:
authorDongxiao Xu <dongxiao.xu@intel.com>2010-11-23 15:06:24 +0800
committerRichard Purdie <rpurdie@linux.intel.com>2010-12-02 05:24:51 -0800
commita5de5a7dfeecbccef1cfb8f6221a494b946ed982 (patch)
treebe8f877463cf6af2bc419dfbc7286a7d3ce10e36 /meta/recipes-connectivity/connman/connman-0.63/connman
parent8399ca4d708101f594025ddab2fa89cab5e56c51 (diff)
downloadopenembedded-core-a5de5a7dfeecbccef1cfb8f6221a494b946ed982.tar.gz
openembedded-core-a5de5a7dfeecbccef1cfb8f6221a494b946ed982.tar.bz2
openembedded-core-a5de5a7dfeecbccef1cfb8f6221a494b946ed982.tar.xz
openembedded-core-a5de5a7dfeecbccef1cfb8f6221a494b946ed982.zip
connman: Upgrade to version 0.63
Add build dependency iptables. Fix recipe metadata. Signed-off-by: Dongxiao Xu <dongxiao.xu@intel.com>
Diffstat (limited to 'meta/recipes-connectivity/connman/connman-0.63/connman')
-rw-r--r--meta/recipes-connectivity/connman/connman-0.63/connman62
1 files changed, 62 insertions, 0 deletions
diff --git a/meta/recipes-connectivity/connman/connman-0.63/connman b/meta/recipes-connectivity/connman/connman-0.63/connman
new file mode 100644
index 000000000..f01bf371c
--- /dev/null
+++ b/meta/recipes-connectivity/connman/connman-0.63/connman
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+DAEMON=/usr/sbin/connmand
+PIDFILE=/var/run/connmand.pid
+DESC="Connection Manager"
+
+if [ -f /etc/default/connman ] ; then
+ . /etc/default/connman
+fi
+
+set -e
+
+nfsroot=0
+
+exec 9<&0 < /proc/mounts
+while read dev mtpt fstype rest; do
+ if test $mtpt = "/" ; then
+ case $fstype in
+ nfs | nfs4)
+ nfsroot=1
+ break
+ ;;
+ *)
+ ;;
+ esac
+ fi
+done
+
+do_start() {
+ EXTRA_PARAM=""
+ if test $nfsroot -eq 1 ; then
+ EXTRA_PARAM="-P ethernet"
+ fi
+ $DAEMON $EXTRA_PARAM
+}
+
+do_stop() {
+ start-stop-daemon --stop --name connmand --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0